# $Revision: 1.36 $, $Date: 2008/07/27 22:26:59 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Authen::Challenge::Basic - a basic challenge/response authentication scheme
Summary(pl.UTF-8):	Authen::Challenge::Basic - podstawowy schemat uwierzytelniania wezwanie/odpowiedź
Name:		perl-Authen-Challenge-Basic
Version:	0.1
Release:	10
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Authen/Authen-Challenge-Basic-%{version}.tar.gz
# Source0-md5:	baafb21abd63b3b8b7829ea082891a42
Patch0:		%{name}-Digest-MD5.patch
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Digest-MD5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Authen::Challenge::Basic Perl module provides a simple MD5-based
challenge/response protocol allowing for mutual peer authentication in
a session. The protocol includes timing information, so it is possible
to introduce time constraints in the session to help prevent attacks
that rely on adjusting the clock in one of the peers.

%description -l pl.UTF-8
Moduł Perla Authen::Challenge::Basic udostępnia prosty, oparty o MD5,
protokół uwierzytelniania typu wezwanie/odpowiedź umożliwiający
wzajemne uwierzytelnianie partnerów podczas sesji. Protokół zawiera
informacje synchronizujące, więc możliwe jest wprowadzenie podczas
sesji ograniczeń czasowych ułatwiających zapobieganie atakom opartym
na przestawieniu zegara jednego z partnerów.

%prep
%setup -q -n Authen-Challenge-Basic-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_vendorlib}/Authen/Challenge
%{perl_vendorlib}/Authen/Challenge/Basic.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Authen-Challenge-Basic.spec,v $
Revision 1.36  2008/07/27 22:26:59  arekm
- release 10

Revision 1.35  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.33  2004/10/24 13:46:30  paladine
- spelling fix

Revision 1.32  2004/05/07 01:25:43  ankry
- rel. 9

Revision 1.31  2004/05/06 18:09:16  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/25 07:37:53  ankry
- tests added

Revision 1.29  2004/04/16 07:18:44  ankry
- more informative summary/desc

Revision 1.28  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:08:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:24  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 17:42:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:36:46  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:26:36  ankry
- massive attack: change CPAN URLs

Revision 1.20  2003/02/17 21:35:36  ankry
- fixed src URL

Revision 1.19  2002/11/26 00:13:53  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.18  2002/07/10 08:46:13  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 01:41:21  kloczek
- release 7.

Revision 1.15  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/10 15:24:04  depesz
adapterized

Revision 1.13  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:13  mis
- buildarch noarch; release++

Revision 1.11  2001/04/30 22:49:45  baggins
- added Digest-Md5 patch

Revision 1.10  2001/04/17 12:05:12  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2000/12/27 18:04:40  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 21:25:31  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
